Bug 26868 - GroupHeaders do not extend on Windows Phone
Summary: GroupHeaders do not extend on Windows Phone
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.3.1
Hardware: PC Mac OS
: Normal normal
Target Milestone: 1.3.5
Assignee: E.Z. Hart [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2015-02-09 11:23 UTC by John Miller [MSFT]
Modified: 2016-01-20 11:49 UTC (History)
10 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Test Case (293.04 KB, application/zip)
2015-02-09 11:23 UTC, John Miller [MSFT]
Details
Android Screenshot (46.77 KB, image/png)
2015-02-09 11:24 UTC, John Miller [MSFT]
Details
Windows Phone Screenshot (38.75 KB, image/png)
2015-02-09 11:25 UTC, John Miller [MSFT]
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description John Miller [MSFT] 2015-02-09 11:23:56 UTC
Created attachment 9714 [details]
Test Case

**Overview:**

   When using a GroupHeaderTemplate for a ListView, the BackgroundColor does not extend the entire way on Windows Phone. It works as expected on Android.

Compare the attached images to see the difference. 

**Steps to Reproduce:**

   1. Run the attached sample on Windows Phone. 

**Actual Results:**

   The BackgroundColor does not extend the entire width of the header on Windows Phone. 

**Expected Results:**

   Match the behavior of Android - the BackgroundColor should extend. 

**Build Date & Platform:**

   XF 1.3.1
Comment 1 John Miller [MSFT] 2015-02-09 11:24:44 UTC
Created attachment 9715 [details]
Android Screenshot
Comment 2 John Miller [MSFT] 2015-02-09 11:25:02 UTC
Created attachment 9716 [details]
Windows Phone Screenshot
Comment 3 narayanp 2015-02-09 12:28:28 UTC
I have checked this issue able to reproduce successfully. I have followed step given below.

1. Download attached test case.
2. Deploy on Window emulator.

I have observed the same behavior which is given in bug description. 

Screencast : http://www.screencast.com/t/8MMoIPPu27 (Android)
           : http://www.screencast.com/t/o3g6AqlBDU (Window)
Ide log: https://gist.github.com/RamChBachkheti/899af718120119e90942

Environment info:

Xamarin.Forms.1.3.3.6322-pre3

Microsoft Visual Studio Professional 2013
Version 12.0.30723.00 Update 3
Microsoft .NET Framework
Version 4.5.51641

Installed Version: Professional

LightSwitch for Visual Studio 2013   06177-004-0447006-02641
Microsoft LightSwitch for Visual Studio 2013

Team Explorer for Visual Studio 2013   06177-004-0447006-02641
Microsoft Team Explorer for Visual Studio 2013

Visual Basic 2013   06177-004-0447006-02641
Microsoft Visual Basic 2013

Visual C# 2013   06177-004-0447006-02641
Microsoft Visual C# 2013

Visual C++ 2013   06177-004-0447006-02641
Microsoft Visual C++ 2013

Visual F# 2013   06177-004-0447006-02641
Microsoft Visual F# 2013

Visual Studio 2013 Code Analysis Spell Checker   06177-004-0447006-02641
Microsoft® Visual Studio® 2013 Code Analysis Spell Checker

Portions of International CorrectSpell™ spelling correction system © 1993 by Lernout & Hauspie Speech Products N.V. All rights reserved.

The American Heritage® Dictionary of the English Language, Third Edition Copyright © 1992 Houghton Mifflin Company. Electronic version licensed from Lernout & Hauspie Speech Products N.V. All rights reserved.

Windows Phone SDK 8.0 - ENU   06177-004-0447006-02641
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   1.0
Application Insights Tools for Visual Studio

ASP.NET and Web Tools   12.3.50717.0
Microsoft Web Developer Tools contains the following components:
Support for creating and opening ASP.NET web projects
Browser Link: A communication channel between Visual Studio and browsers
Editor extensions for HTML, CSS, and JavaScript
Page Inspector: Inspection tool for ASP.NET web projects
Scaffolding: A framework for building and running code generators
Server Explorer extensions for Microsoft Azure Websites
Web publishing: Extensions for publishing ASP.NET web projects to hosting providers, on-premises servers, or Microsoft Azure

ASP.NET Web Frameworks and Tools 2012.2   4.1.21001.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.20703.0
For additional information, visit http://www.asp.net/

Common Azure Tools   1.2
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

Microsoft Advertising SDK for Windows Phone   
Microsoft Advertising SDK for Windows Phone
Build 

Microsoft Azure Mobile Services Tools   1.2
Microsoft Azure Mobile Services Tools

NuGet Package Manager   2.8.50926.663
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

Office Developer Tools for Visual Studio 2013 ENU   12.0.30626
Microsoft Office Developer Tools for Visual Studio 2013 ENU

PowerShell Tools   1.2
Provides file classification services using PowerShell

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   12.0.30919.1
Microsoft SQL Server Data Tools

Windows Phone 8.1 SDK Integration   1.0
This package integrates the tools for the Windows Phone 8.1 SDK into the menus and controls of Visual Studio.

Workflow Manager Tools 1.0   1.0
This package contains the necessary Visual Studio integration components for Workflow Manager.

Xamarin   3.9.293.0 (080a254)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   4.20.0.34 (49a04b966feb40dfdba49d57ba16249b66d606a6)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.iOS   8.6.1.0 (3b3ef438017c7ecf486defa9e01567a5f2b3cb2a)
Visual Studio extension to enable development for Xamarin.iOS.

Xamarin.iOS Unified Migration   1.0
Automated migration for Xamarin iOS Classic projects to Unified
Comment 4 Jason Smith [MSFT] 2015-02-09 19:42:15 UTC
Your binding source is empty and contains nothing to actually bind against. Consider reading our docs here: http://developer.xamarin.com/guides/cross-platform/xamarin-forms/working-with/listview/
Comment 5 John Miller [MSFT] 2015-02-10 08:01:03 UTC
@Jason,

I am going to re-open this. The project reproduces the issue and the binding source is not empty. See lines 27-36 of App.cs. 

If I am missing something please explain in further detail what is missing and I will fix it.
Comment 6 Jason Smith [MSFT] 2015-02-12 16:59:04 UTC
I think I left this comment on the wrong bug report, I apologize!

Either way this should be fixed in 1.3.5-pre1
Comment 7 Ram Chandra 2015-02-18 04:15:16 UTC
I have checked this issue with following builds:

Xamarin.Forms.1.3.5.6333-pre1

Microsoft Visual Studio Professional 2013
Version 12.0.30723.00 Update 3
Microsoft .NET Framework
Version 4.5.51641
Installed Version: Professional
Xamarin   3.9.296.0 (d66d164)
Xamarin.Android   4.20.0.34 (49a04b966feb40dfdba49d57ba16249b66d606a6)
Xamarin.iOS   8.6.1.0 (3b3ef438017c7ecf486defa9e01567a5f2b3cb2a)

I have checked this issue with android and windows phone and observed that this issue has been fixed for windows phone and also works for android. Now grouping of header is working fine for windows phone also.

Screencast: http://www.screencast.com/t/ZvuOyArWwKQ

This issue has been fixed. hence I am closing this issue.
Comment 8 John Miller [MSFT] 2015-02-26 12:01:57 UTC
When you wrap the controls in the GroupHeaderTemplate in a ContentView that uses StartAndExpand HorizontalOptions the original issue is present again.
Comment 9 williamd 2015-12-02 21:45:48 UTC
With John Miller's last comment in mind and the discovery that Windows RT apps for Windows 8.1 display the same issue even in the latest Xamarin.Forms 2.0 release, I would like to request that this bug be re-opened.
Comment 10 Rui Marinho 2016-01-20 11:49:16 UTC
Should be fixed on WINRT on 2.1.0-pre1